Subject: Packing empty subtrees: good/bad/indifferent?

From: Shawn Pearce <[email-masked]>
Date: Mon, 19 Jun 2006 20:09:59 -0400

So in my Eclipse plugin/Java GIT implementation I'm trying to figure
out what to do if the API caller feeds me a subtree which is empty.

Core GIT won't store an empty subtree simply because the subtree
can't exist in the index without at least one file in the tree.
But my Java implementation doesn't suffer from that limitation and
will happily store an empty subtree (and checkout an empty directory)
if that is what the caller gave it.  :-)

In the plugin's UI level I'm trying relatively hard to refuse putting
an empty directory into the repository as an empty subtree but I'm
now wondering if I should enforce that even lower (like down in
the actual tree writer) just to be on the safe side.

Anyone have two cents they could share on the matter?

-- 
Shawn.